Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.monitoring.core.v2
Class MonitoringType

    java.lang.Object
      be.fgov.ehealth.monitoring.core.v2.MonitoringType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:51:11+02:00",
               comments="JAXB RI v2.2.11")
    public class MonitoringType

extends Object
implements Serializable

Standard structure for monitoring results.

Java class for MonitoringType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MonitoringType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Schema" type="{urn:be:fgov:ehealth:monitoring:core:v2}SchemaType"/>
             <element name="Results" type="{urn:be:fgov:ehealth:monitoring:core:v2}ResultsType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MonitoringType()`

Method Summary
`List<ResultsType>` | `getResults()` Gets the value of the results property.
`SchemaType` | `getSchema()` Gets the value of the schema property.
`void` | `setSchema(SchemaType value)` Sets the value of the schema property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitoringType

    public MonitoringType()

Method Detail

### getSchema

    public SchemaType getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `SchemaType`

### setSchema

    public void setSchema(SchemaType value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `SchemaType`

### getResults

    public List<ResultsType> getResults()

  Gets the value of the results property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the results property.

  For example, to add a new item, do as follows:

          getResults().add(newItem);

  Objects of the following type(s) are allowed in the list `ResultsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.